/*
Theme Name: La Lisière (TwentyTwentyTwo child)
Author URI: https://www.ecolelalisiere.org
Description: TwentyTwentyTwo customization for La Lisière.
Requires at least: 6.3
Tested up to: 6.3
Requires PHP: 8.2
Version: 1.5
Template: twentytwentytwo
*/

/*
colors:
• blis(bleu-gris) : #7695A1
• argile : #D9D2C5
• marron : #97382A
• chataigne : #CB803E
• sable : #F2EFE9
• bleu-europe : #003399
*/

h2 {
	scroll-margin-top: 60px;
	scroll-snap-margin-top: 60px; /* iOS 11 and older */
}

/* If the browser supports the property... */
@supports (scroll-margin-top: 0) {
	h2 {
		scroll-margin-top: 60px;
	}
}

.admin-bar h2 {
	scroll-margin-top: 60px;
	scroll-snap-margin-top: 60px; /* iOS 11 and older */
}

/* If the browser supports the property... */
@supports (scroll-margin-top: 0) {
	.admin-bar h2 {
		scroll-margin-top: 60px;
	}
}

/* Style the header */
.wp-container-core-navigation-is-layout-1 {
	padding: 10px 16px;
	background: #fff;
	color: #f1f1f1;
}

/* Page content */
.entry-content {
	padding: 16px;
}

/* The sticky class is added to the header with JS when it reaches its scroll position */
.nav-is-sticky .wp-container-core-navigation-is-layout-1 {
	position: fixed;
	top: 0;
	width: 100%;
	z-index: 100;
	box-shadow: 0 0 5px 2px #7695A1;
}

/* Add some top padding to the page content to prevent sudden quick movement (as the header gets a new position at the top of the page (position:fixed and top:0) */
.nav-is-sticky .entry-content {
	padding-top: 102px;
}

.admin-bar.nav-is-sticky .entry-content {
	padding-top: 92px;
}
.admin-bar.nav-is-sticky .wp-container-core-navigation-is-layout-1 {
	top: 30px;
}
@media (max-width: 782px) {
    .wp-block-group.is-layout-constrained.wp-block-group-is-layout-constrained {
        margin-top: 0 !important;
    }
    header nav.main_navigation {
        margin-bottom: 0 !important;
    }
    .entry-content {
        padding-top: 0 !important;
    }
	.nav-is-sticky .wp-container-core-navigation-is-layout-1 button {
		padding-top: 0;
	}
	.admin-bar.nav-is-sticky .wp-container-core-navigation-is-layout-1 button {
		padding-top: 20px;
	}
	.admin-bar.nav-is-sticky .wp-container-core-navigation-is-layout-1 {
		top: 0;
		height: 92px;
	}
	.nav-is-sticky .entry-content {
		padding-top: 92px;
	}
}

body {
	--wp--style--global--content-size: 1280px;
	--wp--preset--color--black: #666;
	--wp--preset--font-size--small: .8rem;
	--wp--preset--font-size--medium: 1.2rem;
	--wp--preset--font-size--large: 1.35rem;
	--wp--preset--font-size--x-large: 1.75rem;
	--wp--preset--font-size--xx-large: 1.85rem;
	--wp--preset--font-size--huge: 2rem;
}

@media (max-width: 980px) {
	body {
		--wp--preset--font-size--small: .8rem;
		--wp--preset--font-size--medium: 1.025rem;
		--wp--preset--font-size--large: 1.075rem;
		--wp--preset--font-size--x-large: 1.25rem;
		--wp--preset--font-size--xx-large: 1.45rem;
		--wp--preset--font-size--huge: 1.75rem;

		--wp--custom--typography--line-height--tiny: .9;
		--wp--custom--typography--line-height--small: 1;
		--wp--custom--typography--line-height--medium: 1.15;
		--wp--custom--typography--line-height--normal: 1.4;
	}

	figure.alignleft, figure.alignright {
		float: none !important;
		margin-inline-start: var(--wp--preset--spacing--medium) !important;
		margin-inline-end: var(--wp--preset--spacing--medium) !important;
	}
	.wp-block-media-text__content {
		margin: var(--wp--custom--spacing--medium) 0;
	}
	footer button.wp-block-navigation__responsive-container-open {
		display: inline-block !important;
	}
	footer .wp-block-navigation.items-justified-right.is-vertical {
		--navigation-layout-align: center;
	}
	footer .wp-block-group p {
		display: inline-block !important;
	}
	footer .wp-block-group p.has-text-align-center {
		display: block !important;
	}
	footer .wp-block-buttons-is-layout-flex {
		display:inline !important;
	}
	footer .wp-block-button__width-100 {
		width: inherit !important;
	}
	footer a.wp-block-button__link {
		width: inherit !important;
	}
	ul.wp-block-social-links.has-huge-icon-size {
		font-size: inherit;
	}
	li.wp-social-link {
		display: inline-block;
	}
	.wp-block-social-links .wp-social-link a {
		padding: .25rem;
	}
	.wp-block-social-links .wp-social-link svg {
		width: 1.4rem;
		height: 1.4rem;
	}
	.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation-item {
		font-size: var(--wp--preset--font-size--x-large) !important;
		padding: .8rem .5rem;
	}
	.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation-item.current-menu-item {
		color: #CB803E !important;
	}
	.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-container-content {
		align-items: start !important;
	}
	.wp-block-navigation__responsive-container .wp-block-navigation.items-justified-center {
		--navigation-layout-justify: left;
		--navigation-layout-justification-setting: left;
	}
	.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-container-content .has-child .wp-block-navigation__submenu-container {
		padding-left: 0;
	}
	.wp-block-navigation__responsive-container .wp-block-navigation__responsive-container-content .wp-block-navigation-submenu {
		margin: 0;
	}
	.wp-block-navigation__responsive-container .wp-block-navigation__responsive-container-content .wp-block-navigation-submenu li {
		font-size: .9rem !important;
	}
	.wp-block-navigation__responsive-container .wp-block-navigation__responsive-container-content .wp-block-navigation-submenu li.current-menu-item {
		background-color: #FFFFFF !important;
		color: #7695A1 !important;
	}
	.wp-block-group.is-layout-constrained.wp-block-group-is-layout-constrained {
		margin-top: 1rem;
	}

	footer.wp-block-template-part .is-layout-flex {
		display: block;
		text-align: center;
	}
	footer.wp-block-template-part h2, footer.wp-block-template-part h3 {
		text-align: center;
		margin-top: 1.5rem;
	}
}

span.lsr-title-dark {
	font-family: "Amiable Bold", serif;
	color: #97382A;
}
span.lsr-title-light {
	font-family: "Amiable Bold", serif;
	color: #CB803E;
}

.wp-block-group {
	padding-top: 0;
}

ul.lsr_footer_navigation a {
	text-decoration: underline;
	text-decoration-thickness: 1px!important;
	text-underline-offset: 0.25ch;
}
ul.lsr_footer_navigation a:hover {
	text-decoration-style: dashed!important;
}

header nav.main_navigation {
	margin-bottom: 20px;
}

header nav.main_navigation li {
	padding: 5px 10px;
	font-size: 1.05rem !important;
}

header nav.main_navigation li.current-menu-item {
	background-color: #7695A1;
	color: #ffffff;
}

header nav.main_navigation .wp-block-navigation-submenu li.current-menu-item {
	background-color: inherit;
	color: #7695A1;
}

a.wp-block-navigation-item__content:not([aria-current="page"]):hover {
	color: var(--wp--preset--color--custom-chataigne) !important;
}

a[aria-current="page"]:hover {
	color: inherit !important;
}

footer ul.lsr_courriels {
	list-style: none;
	margin: 0;
	padding: 0;
}

li::marker {
	color: #7695A1;
}

header nav.main_navigation .wp-block-navigation-submenu li {
	font-size: 1rem !important;
}

:root :where(.wp-element-button, .wp-block-button__link) {
	border-radius: inherit;
}
.tribe-events-content a {
	border-bottom: inherit;
	color: #fff;
	transition: inherit;
}
.tribe-events-content a:active, .tribe-events-content a:focus, .tribe-events-content a:hover {
	border-bottom: inherit;
	color: #fff;
	opacity: .9;
}

.tribe-common .tribe-common-b2 {
	color: inherit !important;
	font-family: inherit !important;
	font-size: inherit !important;
	font-weight: inherit !important;
	line-height: inherit !important;
}
.tribe-events .tribe-events-calendar-list__event-title {
	color: inherit !important;
}
.tribe-events .tribe-events-calendar-list__event-title-link {
	color: #CB803E !important;
}
.tribe-events-calendar-list__event-date-tag-daynum {
	color: #CB803E !important;
}
.tribe-events .tribe-events-calendar-list__event-datetime {
	color: inherit !important;
}
.tribe-common button[disabled], .tribe-common input[disabled] {
	opacity: .5 !important;
}

.tribe-events-calendar-list__event-venue > span {
	display: block;
	font-size: inherit !important;
}

@media (min-width: 782px) {
	.tribe-events-event-meta {
		flex-direction: column;
	}
	.tribe_events.hentry {
		display: flex;
		flex-direction: row-reverse;
	}
	.tribe-events-meta-group {
		flex: none;
		padding: inherit;
		padding-top: var(--tec-spacer-3);
	}
	.tribe-events-calendar-list__event-venue > span {
		font-size: small !important;
	}
}

a.tribe-events-calendar-list__event-title-link, a.tribe-events-calendar-list__event-title-link:visited {
	color: #CB803E !important;
	font-family: var(--wp--preset--font-family--amiable-bold) !important;
	text-transform: uppercase !important;
}

.tribe-events-calendar-list__event-venue-address {
	border-bottom: 1px solid #ccc !important;
	margin-bottom: 10px !important;
}

a.event-read-more {
	color: #fff !important;
	padding: calc(0.667em) calc(1.333em) !important;
	text-transform: uppercase !important;
}

.tribe-events-calendar-list__event-description.tribe-common-b2 > p {
	margin-top: 1rem;
}

.tribe-events-calendar-list__month-separator {
	margin: 1rem !important;
}

.popin-helloasso {
	width:350px;
    height:350px;
    position: fixed;
    bottom: 10px;
    right: 10px;
    z-index: 999;
    box-shadow: -6px -6px 15px 1px rgba(207, 138, 64, 0.2);
    background: #fff;
}
